@echo off
setlocal
set BASE_DIR=%~dp0

:java
@if "%JAVA_HOME%"=="" set JAVA_HOME=%BASE_DIR%..\eclipse
@if not exist "%JAVA_HOME%\jre\bin" set JAVA_HOME=%BASE_DIR%..\jdk
@if not exist "%JAVA_HOME%\jre\bin" echo ERROR: JAVA_HOME must point to Java installation containing jre\bin
@if not exist "%JAVA_HOME%\jre\bin" goto done

:install
@if "%INSTALL_DIRECTORY%"=="" set INSTALL_DIRECTORY=%BASE_DIR%..
@if not exist "%INSTALL_DIRECTORY%" set INSTALL_DIRECTORY=%BASE_DIR%..
@if not exist "%INSTALL_DIRECTORY%" echo ERROR: INSTALL_DIRECTORY must point to a valid installation
@if not exist "%INSTALL_DIRECTORY%" goto done

:startup
set STARTUP_JAR="%BASE_DIR%..\plugins\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar"
@if not exist %STARTUP_JAR% set STARTUP_JAR="%BASE_DIR%..\eclipse\startup.jar"
@if not exist %STARTUP_JAR% echo ERROR: Unable to locate Eclipse startup.jar
@if not exist %STARTUP_JAR% goto done


:workspace
if not $"%WORKSPACE%"$==$$ goto check
REM #######################################################
REM ##### you must edit the "WORKSPACE" setting below #####
REM #######################################################
REM *********** The location of your workspace ************
set WORKSPACE=X:\MyWorkspace

:check
REM ************* The location of your workspace *****************
if not exist "%WORKSPACE%" echo ERROR: incorrect workspace=%WORKSPACE%, edit this runAnt.bat and correct the WORKSPACE envar
if not exist "%WORKSPACE%" goto done


:run
@echo on
"%JAVA_HOME%\jre\bin\java.exe" -Dwtp.autotest.noninteractive=true -Dwas.runtime=%BASE_DIR%..\runtimes -jar %STARTUP_JAR% -application com.ibm.etools.j2ee.ant.RunAnt -install %INSTALL_DIRECTORY% -data "%WORKSPACE%"  %*
@if %ERRORLEVEL% EQU 0 goto done
@if %ERRORLEVEL% EQU 13 echo runAnt BUILD FAILED.
@if %ERRORLEVEL% EQU 13 goto done
@if %ERRORLEVEL% EQU 15 echo WORKSPACE is already BEING USED.
@if %ERRORLEVEL% EQU 15 goto done
@if %ERRORLEVEL% EQU 23 echo totally clean (UNINITIALIZED) workspace, it is now setup.  will rerun...
@if %ERRORLEVEL% EQU 23 goto run
@echo runAnt FAILED? (return code %ERRORLEVEL%)
:pause
@pause

:done
